#!/www/python/bin/python

#
# Test script for Options class.
#

__revision__ = "$Id: test_options.py,v 1.2 2002/01/29 21:56:32 akuchlin Exp $"

from sancho.unittest import TestScenario, parse_args, run_scenarios
from mems.instrument.server.options import Options

tested_modules = [ "mems.instrument.server.options" ]

class OptionsTest (TestScenario):

    def setup (self):
        self.opts = Options(['-a', '-f', './microscope.cfg', '-v'])

    def shutdown (self):
        del self.opts


    def check_options (self):
        "Option values: 4"
        self.test_bool('self.opts.admin_center')
        self.test_bool('self.opts.verbose')
        self.test_bool('self.opts.center_stage', want_true=0)
        self.test_val('self.opts.config_file', './microscope.cfg')
        
# class OptionsTest


if __name__ == "__main__":
    (scenarios, options) = parse_args()
    run_scenarios(scenarios, options)
